code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
desc "What plugin to use to visualize indentation level:"
enum guides "- Indent-Guides"
enum lines " - Yggdroot/indentLine"
enum - " - none"
ask enum visual_indent "indentation plugin?" 2
_copy_files "$(this_dir)/$visual_indent"
| vitaly/dotvim2 | plugins/30-general/plugins/indent/install.sh | Shell | mit | 236 |
#!/bin/bash
set -e
if [ $# == 0 ]; then
echo "usage: BUILD_ROOT=<build_dir> $0 *.y4m"
exit 1
fi
if [ -z $BUILD_ROOT ]; then
BUILD_ROOT=.
fi
if ! grep -Fxq "#define OD_LOGGING_ENABLED 1" "$BUILD_ROOT/config.h"; then
echo "Logging not enabled, re-run configure with --enable-logging"
exit 1
fi
if ! grep -Fxq... | tdaede/image-compare | image_collect.sh | Shell | mit | 1,919 |
#!/usr/bin/env bash
echo 'Testing init'
../../bin/dotf init --prefix ./temp_dotf
diff -rq ./temp_dotf ./dotf
rm -r ./temp_dotf
| zfletch/dotf | test/init/test.sh | Shell | mit | 130 |
#!/bin/bash
set -e
version=$(head -n 1 VERSION.txt)
dir=$1
if [ "x$dir" = "x" ]; then
dir=/usr/local
fi
echo "Compiling ... "
cd build
make clean >/dev/null
rm -f libpca.so*
make
mv libpca.so libpca.so.$version
ln -s libpca.so.$version libpca.so
cd ..
echo
echo "Installing ..."
inc_dir=$dir/include
lib_dir=$d... | spinlockirqsave/libpca-1.2.11 | install.sh | Shell | mit | 571 |
#! /usr/bin/env bash
REPITITIONS=100
cd ..
rebuild(){
rm -r build_bench
mkdir build_bench
build_it
}
build_it(){
cd build_bench
mkdir benchmark
cmake .. -doption_build_benchmarks=true -doption_build_tools=false -dcmake_build_type=release
make -j4
cd ..
}
bench_omp(){
build_omp
run
cp build_bench/benchmark/result... | cginternals/glkernel | benchmarking/glkernel_bench_auto.sh | Shell | mit | 1,113 |
#!/bin/sh
set -e
mkdir -p "${CONFIGURATION_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}"
RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt
> "$RESOURCES_TO_COPY"
XCASSET_FILES=()
realpath() {
DIRECTORY="$(cd "${1%/*}" && pwd)"
FILENAME="${1##*/}"
echo "$DIRECTORY/$FILENAME"
}
install_reso... | jindulys/Wikipedia | Pods/Target Support Files/Pods/Pods-resources.sh | Shell | mit | 5,198 |
#!/usr/bin/env bash
#cp -R ../../Statistics .
change="-size 200 -hs 0 -cbow 1 -negative 8 -alpha 0.01 0.015 0.1 -threads $1 -min_count 10"
ca_logs="Logs"
ca_logs_m="${ca_logs}_m"
ca_csv="test_ca.csv"
ca_csv_m="test_ca_m.csv"
se_logs="${ca_logs}_se"
se_logs_m="${se_logs}_m"
se_csv="test_se.csv"
se_csv_m="test_se_m.c... | gustavo-momente/word2vec_variations | Tests/var_alpha_hs0_cbow_1/run_all.sh | Shell | mit | 2,787 |
#!/bin/bash
## Postfix pipe to disk ###############################################
postconf -F '*/*/chroot = n'
mkdir -p /messages/mail
chmod 777 /messages/mail
echo 'fs_mail unix - n n - - pipe flags=F user=docker argv=tee /messages/mail/${queue_id}_${recipient}.txt' \
>> /etc/postfix/master.cf
postconf -e default_t... | feathj/docker-postfix-blackhole | install.sh | Shell | mit | 2,488 |
#!/usr/bin/env bash
apt-get -qq install clamav clamav-freshclam > /dev/null 2>&1
if [[ $? == 0 ]]; then
cp -r $halBox_Base/overlay/clamav/. /
if [[ -f /etc/cron.daily/clamav ]]; then
chmod +x /etc/cron.daily/clamav
fi
if [[ -d /var/quarantine/ ]]; then
chmod -R 0600 /var/quarantine/
... | alixaxel/halBox | packages/ubuntu/trusty/clamav.sh | Shell | mit | 413 |
#!/bin/bash
# Specifies the tools and utilities to be installed
brew_tools=(
autojump
bash
coreutils
findutils
git
homebrew/dupes/grep
#node (included by default, see configuration below)
#php56 (included by default, see configuration below)
subversion
trash
)
# Specifies the a... | eabruzzese/osx-setup | osx-setup.sh | Shell | mit | 4,390 |
#!/bin/sh
# Example script of BRUTE FORCE pulling the configured repository.
PREFIX="--git-dir=.git --work-tree=."
(
cd $1;
git ${PREFIX} reset -- .;
git ${PREFIX} checkout -- .;
git ${PREFIX} checkout $2;
git ${PREFIX} fetch;
git ${PREFIX} pull -s recursive -X theirs;
) | Bizboard/js.deploy.autodeploy-bitbucket | deploy.sh | Shell | mit | 278 |
#!/usr/bin/env bash
# Backup files that are provided by the dotfiles into a ~/dotfiles-backup directory
DOTFILES=$HOME/.dotfiles
BACKUP_DIR=$HOME/Dropbox/Backups/saveme/dotfiles-backup
set -e # TODO: what does this do?
echo "Creating backup directory at $BACKUP_DIR"
mkdir -p $BACKUP_DIR
linkables=$( find -H "$DOTF... | thiagodebastos/dotfiles | install/backup.sh | Shell | mit | 726 |
#! /bin/bash
set -e
BUILD_CMD="go build -v suab-server"
READPATH=`readlink -nf $0`
WD=`dirname $READPATH`
export GO15VENDOREXPERIMENT=1
export GOPATH=${WD}
mkdir -p "${WD}/build"
function build {
echo "## Compling for $1..."
GOOS=$1 $BUILD_CMD
mv -f suab* "${WD}/build"
echo "## Done"
}
# Generate assets
PA... | SaferSocietyGroup/suab | server/build.sh | Shell | mit | 634 |
#!/bin/bash
python RunSimulation.py --Geo 50.0 --sim_num 76
| xji3/IGCCodonSimulation | ShFiles/YDR418W_YEL054C_IGCgeo_50.0_sim_76.sh | Shell | mit | 60 |
#!/usr/bin/env bash
set -e
SCRIPT_DIR=$(dirname ${0})
if [ -z ${STACK_NAME} ]; then
echo "STACK_NAME is empty, exiting..."
exit 1
fi
REGION=${REGION:-'eu-central-1'}
bundle check || bundle install --quiet
bundle exec autostacker24 delete --stack ${STACK_NAME} \
--region ${REGI... | splieth/spring-boot-aws | ci/remove.sh | Shell | mit | 324 |
#!/bin/bash
cd /var/www/html/upload
for file in /var/www/html/upload/*
do
#echo $file
#grep -Po '.*?//\K.*?(?=/)' $file
grep -E -o "([0-9,a-z\.-]+)\.([a-z]{2,6})" $file
#curl -F file=@"$file" 'http://192.168.0.2:8090/tasks/create/file'
done
| JburkeRSAC/PizzaCat-Web | test_domain.sh | Shell | mit | 241 |
#!/usr/bin/env bash
## HOMEBREW
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
brew install git bash-completion ruby ack node golang yarn direnv todo-txt
brew cask install iterm2 google-chrome visual-studio-code slack shiftit dropbox flux
## BASH-IT
git clone --dept... | carpeliam/dotfiles | setup.sh | Shell | mit | 606 |
#!/bin/bash
# Install a custom QPDF version - http://qpdf.sourceforge.net
#
# To run this script on Codeship, add the following
# command to your project's setup commands:
# \curl -sSL https://raw.githubusercontent.com/codeship/scripts/master/packages/qpdf.sh | bash -s
#
# Add the following environment variable to your... | codeship/scripts | packages/qpdf.sh | Shell | mit | 1,031 |
#!/usr/bin/env bash
var1=100
until echo $var1; ls bazinga; [ $var1 -eq 0 ]; do
echo $var1
var1=$[ $var1 - 25 ]
done
| v0lkan/learning-bash | until.sh | Shell | mit | 127 |
export CC="gcc-5"
export CXX="g++-5"
export CPATH=$CPATH:$HOME/usr/include
export LIBRARY_PATH=$LIBRARY_PATH:$HOME/usr/lib
wget http://www.tcpdump.org/release/libpcap-1.7.4.tar.gz
tar xzf libpcap-1.7.4.tar.gz
(cd libpcap-1.7.4 && ./configure -q --prefix=$HOME/usr --enable-shared=no && make -j2 && make install)
| deplug/deplug | scripts/linux-before-install.sh | Shell | mit | 312 |
#!/bin/sh
set +h # disable hashall
shopt -s -o pipefail
set -e
PKG_NAME="dpkg"
PKG_VERSION="1.18.4"
TARBALL="${PKG_NAME}_${PKG_VERSION}.tar.xz"
SRC_DIR="${PKG_NAME}-${PKG_VERSION}"
function prepare() {
ln -sv "/source/$TARBALL" "$TARBALL"
}
function unpack() {
tar xf ${TARBALL}
}
function build() {
a... | PandaLinux/pandaOS | phase3/dpkg/build.sh | Shell | mit | 930 |
# OSX only. Uses http://growl.info via growlnotify
function notifyme-growl() {
growlnotify -n "$1" -m "$2"
}
function {
_notifyme-exists growlnotify || unset -f notifyme-growl
}
| elventear/notifyme | plugins/growl.zsh | Shell | mit | 188 |
#!/usr/bin/env bash
/usr/bin/env python3 -m unittest discover --verbose
/usr/bin/env pypy3 -m unittest discover --verbose
| klingtnet/stringologie-ss14 | run_tests.sh | Shell | mit | 123 |
#!/usr/bin/env bash
brew cask install caskroom/cask/vlc | losted/dotfiles | osx/apps/vlc.sh | Shell | mit | 56 |
#!/bin/sh
# Can be used to detect languages which lack translations in Commerce intl
# Usage:
# ./similar en.json - will compare all files in current dir with en.json
# ./similar en.json 5 - will compare all files in current dir with en.json
# and a threshold of under 5 lines being different before repo... | StryKaizer/intl | scripts/similar.sh | Shell | mit | 792 |
#!/bin/bash
host_port=3000
project_dir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
docker_opts=""
# Don't hardcode the image name. We want to be able to change our
# project name every week. Iterate!
# This should not contain any spaces.
image_name="cornerwise"
# space-delimited list of environment variables, t... | patilav/citydash | easystart.sh | Shell | mit | 10,490 |
#!/bin/sh
# CYBERWATCH SAS - 2016
#
# Security fix for RHSA-2011:0199
#
# Security announcement date: 2011-02-08 21:57:52 UTC
# Script generation date: 2016-05-12 18:10:06 UTC
#
# Operating System: Red Hat 5
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - krb5-debuginfo.x86_64:1.6.1-55.el5_6.1
... | Cyberwatch/cbw-security-fixes | Red_Hat_5/x86_64/2011/RHSA-2011:0199.sh | Shell | mit | 1,683 |
# vim:ft=sh
# /etc/profile
## WARN: relative ordering inside /etc/profile
### Bell ###
case "$TERM" in linux)
setterm --blank 0 # Disable blanking for virtual consoles
setterm --blength # Disable bell
# setterm --msg on --msglevel 0 # Show debug printk() in console
esac
### Temp ###
# CHG:USE:(pam-tmpd... | amerlyq/airy | defaults/cfg/airy-profile.sh | Shell | mit | 1,329 |
#! /bin/bash
set -eo pipefail
#usage: sudo ./docker-cleanup-volumes.sh [--dry-run]
dockerdir=/var/lib/docker
volumesdir=${dockerdir}/volumes
vfsdir=${dockerdir}/vfs/dir
allvolumes=()
dryrun=false
function delete_volumes() {
targetdir=$1
echo
if [[ ! -d ${targetdir} ]]; then
echo "Directory ${targetdir... | PlanitarInc/docker-cleanup-volumes | docker-cleanup-volumes.sh | Shell | mit | 2,301 |
#!/bin/bash
function foo {
echo $0 $1 $2
echo $#
}
foo hello bash shield
| honux77/practice | bash/function-test/args.sh | Shell | mit | 79 |
get_tmux_option() {
local option="$1"
local default_value="$2"
local option_value="$(tmux show-option -gqv "$option")"
if [ -z "$option_value" ]; then
echo "$default_value"
else
echo "$option_value"
fi
}
is_osx() {
[ $(uname) == "Darwin" ]
}
is_chrome() {
chrome="/sys/class/chromeos/cros_ec"
if [ -d "$ch... | tmux-plugins/tmux-battery | scripts/helpers.sh | Shell | mit | 1,406 |
#!/bin/bash
## display.sh for in /home/tan_k/Unix/Projet_Plusoumoins
##
## Made by TAN Kevin
## Login <tan_k@etna-alternance.net>
##
## Started on Tue Nov 4 16:34:16 2014 TAN Kevin
## Last update Wed Nov 5 15:51:47 2014 CHARLES Gracia Jean-Manno
##
entete()
{
clear
echo $(tput setaf 4)"Bienvenue dans le ... | Dark-Aii/School_Projects | School_ETNA/PlusOuMoins/display.sh | Shell | mit | 992 |
#!/bin/sh
ctags -R .
vim `find . -type f -name \*.go`
| denarced/dafavorites | edit.sh | Shell | mit | 55 |
#!/bin/sh
#
# invert_red - Inverts screen colors and reduces blue color
#
# Copyright (c) 2021 Samuel Lidén Borell <samuel@kodafritt.se>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software... | samuellb/scripts | invert_red.sh | Shell | mit | 1,310 |
if [ -x usr/bin/install-info ]; then
chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/ift-export.info.gz 2> /dev/null
chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/ift-extract.info.gz 2> /dev/null
fi
| panosmdma/SlackOnly-SlackBuilds | system/isight-firmware-tools/doinst.sh | Shell | mit | 234 |
#!/usr/bin/env bash
#
# Deploys the site to the branch configured, usually the gh-pages
# branch
#
# Stop on error
set -e
# utilities
source "${DATA_DIR}/utils.sh"
source "${DATA_DIR}/config.sh"
# script variables
LOG_TITLE="deploy"
log "ensuring site has been built" 0
if [ ! -e "${OUT_DIR}" ]
then
log "site ... | GochoMugo/gh-pages | lib/deploy.sh | Shell | mit | 1,128 |
#!/bin/bash
#
##########################################################################
#Red Hat Enterprise Linux 6 - DISA STIG Compliance Remediation Content
#Copyright (C) 2013
#Vincent C. Passaro (vince@buddhalabs.com)
#
##########################################################################
#
#################... | atomicturtle/t-stig | aqueduct-0.4/compliance/Bash/STIG/rhel-6/prod/RHEL-06-000266.sh | Shell | mit | 3,082 |
#!/usr/bin/env bash
mongoexport --db test --collection members_export_3f3e9231f0
| duffj/eventbot-web-api | scripts/mailchimp_json_export.bash | Shell | mit | 81 |
#! /bin/sh
# create forward rule by source interface
# http://serverfault.com/questions/532569/how-to-do-port-forwarding-redirecting-on-debian
PortForward1() {
local IN_IF=$1
local IN_PORT=$2
local OUT_IP=$3
local OUT_PORT=$4
local IPTBL="/sbin/iptables"
echo "1" > /proc/sys/net/ipv4/ip_forward... | skywind3000/vim | tools/share/system/port_forward.sh | Shell | mit | 1,219 |
#!/usr/bin/env bash
function uprofiler_after_install {
local source_dir=$1
local ini_file=$2
local extension_home=$5
cp -r "$source_dir/uprofiler_html" "$extension_home"
cp -r "$source_dir/uprofiler_lib" "$extension_home"
echo "uprofiler.output_dir=\"/var/tmp/uprofiler\"" >> $ini_file
}
| stof/php-build | share/php-build/plugins.d/uprofiler.sh | Shell | mit | 315 |
# Only run on OSX Machines
is_osx || return 1
# Set our gopath
export GOPATH="$HOME/gocode"
PATH="$PATH:$HOME/gocode/bin"
export PATH
| Mooash/dotfiles | source/50_gopath.sh | Shell | mit | 135 |
; Custom shared config
; priority=01
error_reporting = E_ALL
display_errors = On
error_log = /var/log/php_errors.log
log_errors_max_len = 0
memory_limit = 256M
post_max_size = 100M
upload_max_filesize = 100M
| journalehsan/Sandbox-Book | Code/codephp5.sh | Shell | cc0-1.0 | 209 |
#!/bin/sh
######################################################################
#
# @file zeromq.sh
#
# @brief Version and build information for ZeroMQ.
#
# @version $Rev$ $Date$
#
# Copyright © 2012-2017, Tech-X Corporation, Boulder, CO.
# See LICENSE file (EclipseLicense.txt) for conditions of use.
#
# htt... | Tech-XCorp/bilder | packages/zeromq.sh | Shell | epl-1.0 | 2,104 |
#!/bin/bash
if [ "$TRAVIS_REPO_SLUG" == "sbang/jsr330activator" ] && [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_BRANCH" == "master" ]; then
echo -e "Publishing javadoc...\n"
cp -R jsr330activator.implementation/target/apidocs $HOME/javadoc-latest
cp -R jsr330activator.mocks/target/apidocs $HOME/osgi-m... | sbang/jsr330activator | .utilities/push-javadoc-to-gh-pages.sh | Shell | epl-1.0 | 954 |
@@assert.noErrOut '@str-to-lower'
@@assert.noErrOut '@str-to-lower "a"'
@@assert.equal 'abc 123 x' "$(@str-to-lower "abc 123 X")"
@@assert.equal 'abc 123 x' "$(@str-to-lower "Abc 123 X")"
@@assert.equal 'abc 123 x' "$(@str-to-lower "aBC 123 x")"
@@assert.empty "$(@str-to-lower "")"
| reduardo7/hsabx | src/tests/str-to-lower.sh | Shell | gpl-2.0 | 285 |
#!/bin/bash
set -eu
cmd=$*
echo "Waiting for postgres..."
until psql -h db -p 5432 -U "postgres" -c '\l' 2> /dev/null; do
>&2 echo -n "."
sleep 1
done
echo ""
if [ ! -z "$cmd" ]; then
echo Running "$cmd"
exec $cmd
fi | testmycode/tmc-server | docker-wait-for-db.sh | Shell | gpl-2.0 | 226 |
#!/bin/sh
# @package Dotclear
#
# @copyright Olivier Meunier & Association Dotclear
# @copyright GPL-2.0-only
#
# Usage (from dotclear root)
# po_update_core_all.sh
if [ ! -d ./inc/core ]; then
echo "You are not on Dotclear root directory"
exit 1
fi
LANGS=$(cd locales && ls -d -- */ | sed -e "s/\///g" | grep -v "... | dotclear/dotclear | build-tools/po_update_core_all.sh | Shell | gpl-2.0 | 386 |
#!/bin/sh
iso=$1
target=ilo
sshcmd="ssh -l Administrator $target "
chars=$(echo $iso| wc -c)
maxchars=80
if [ $chars -gt $maxchars ] ; then
echo $iso is longer than $maxchars characters
exit 1
fi
$sshcmd "vm cdrom eject"
$sshcmd "vm cdrom insert $iso"
$sshcmd "vm cdrom set connect"
$sshcmd "vm cdrom set boot_once"
$... | TimJDFletcher/personal-scripts | bin/iron-iso.boot.sh | Shell | gpl-2.0 | 342 |
#!/bin/bash
(cat >> /etc/issue) << EOF
Welcome to the EasyBuild/Lmod sandbox environment.
Use 'eb_lmod' as user login.
(root/user password: same as login)
EOF
| boegel/eb_lmod | setup_loginscreen.sh | Shell | gpl-2.0 | 161 |
#!/bin/bash
#
# Map sequences in simulation
#
#PBS -q smallq
#PBS -l select=1:ncpus=1:mem=32gb
#PBS -e logs/
#PBS -o logs/
#PBS -N SRMCLJOB
if [ -z "$PBS_ENVIRONMENT" ]
then
BINDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source $BINDIR/bash_init.sh
fi
CMD=bin/srmcl
if [ -z "$PBS_ENVIRONMENT" ] # SUBMIT... | koadman/proxigenomics | simulation/pipeline/bin/pbsrun_SRMCL.sh | Shell | gpl-2.0 | 1,212 |
#! /bin/bash
# Nscd is a daemon that provides a cache for the most common name service requests
apt-get -y update
apt-get -y install nscd
# # pam_cracklib.so <= needed for passwordchange!!
apt-get -y install libpam-cracklib
# has to be one line
DEBIAN_FRONTEND=Noninteractive apt-get -y -q install libnss-ldap
# copy... | edvapp/autoinstall | laus/scriptsForClasses/ZZZARCHIVE/UBUNTU/UBUNTU1204/300-createLDAPClient.sh | Shell | gpl-2.0 | 549 |
#!/bin/bash
echo "Lancement du tri dans le dossier utilisateur"
for file in $HOME/testTri/*; do
if test -f "$file" ; then
if test ${file##*.} = 'png' || test ${file##*.} = 'jpg';then
echo "La copie de $file a etait mis dans $HOME/testTri/images/"
`mv ${file##*} $HOME/testTri/images/`
else
echo "La copi... | Debaerdm/.dotfile | scripts/tri.sh | Shell | gpl-2.0 | 397 |
#!/bin/bash
echo "Finds top 20 large files under a selected partiton/direectory"
echo "What dir/slice do you want to examine? (include the before slash, i.e. /var"
read MOUNT
# I use gfind and gsort on my MAC, subsitute find and sort on RHEL
# find /var -type f -print0 |xargs -0 du -h |sort -hr |head -20
gfind $MOUNT -... | mutanthost/plexhole | top20.sh | Shell | gpl-2.0 | 373 |
#!/bin/bash
. /etc/profile.env
export PATH="/bin:/sbin:/usr/bin:/usr/sbin:${ROOTPATH}"
#CPU speed: min 212MHz, max 1700MHZ, current 1700MHz; 67.21% idle
#CPUfreq driver: p4-clockmod
# powersave maximise power savings
# performance maximise performance
# dynamic adjust speed accordin... | scsi/scsi-ebuilds | profile/bin/changespeed.sh | Shell | gpl-2.0 | 1,597 |
#!/bin/bash
set -e
# Global variables:
# ${GV_LOG}: Prefix this variable in echo to log echoed string.
SCRIPT_NAME="$(basename "$(test -L "$0" && readlink "$0" || echo "$0")")"
echo "${GV_LOG}>>>>>>>>> Running ${SCRIPT_NAME} ..."
# Explicitly list dependent packages
# apt-get install -s -y <your-package>
# Add ke... | limelime/cust-live-deb | scripts/repository/inst-min-con-05-keyring-aptly/inst-min-con-05-keyring-aptly.sh | Shell | gpl-2.0 | 701 |
#! /bin/sh
m="Makefile"
p=`pwd`
for d in *
do
test -d "$d" || continue
cd "$d"
if [ -f "$m" ]
then
echo "clean in $d"
make clean
fi
cd "$p"
done
| azorg/clib | test/_clean_all.sh | Shell | gpl-2.0 | 169 |
#!/bin/sh
GSIZE=17
export OMP_NUM_THREADS=56
export KMP_AFFINITY=scatter,granularity=thread
./solution -nIters 1 -in rmat-$GSIZE
| drons/GraphHPC-2017 | contest-analize-rmat.sh | Shell | gpl-2.0 | 129 |
convert images/OCS-535-A.png -crop 1503x227+0+0 +repage images/OCS-535-A-0.png
convert -append images/OCS-534-B-6.png images/OCS-535-A-0.png images/OCS-534-B-6.png
rm images/OCS-535-A-0.png
convert images/OCS-535-A.png -crop 1503x553+0+230 +repage images/OCS-535-A-1.png
convert images/OCS-535-A.png -crop 1503x154+0+796... | jonnymwalker/Staroslavjanskij-Slovar | scripts/findindents.OCS-535.sh | Shell | gpl-2.0 | 1,971 |
mkdir build && cd build
cmake -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Debug -DCMAKE_EXPORT_COMPILE_COMMANDS=ON ../
make
#make install
| echorebel/SDLDojo | setup.sh | Shell | gpl-2.0 | 133 |
#!/bin/bash
# db_query_all_typetoken_lemma_name.sh
#
# Query typetoken between timestamps to the sqlite3 database
# Write the results to a csv file.
#
# Author: Alexander Mack <amack@fiedler-mack.de>
#
# Copyright (C) 2012 Alexander Mack
#
# The query of the database will doing by the subscript
# db_query_typetoken_le... | fiedler-mack/CorpusAnalyser | 04_query_db/03_typetoken_lemma/db_query_all_typetoken_lemma_name.sh | Shell | gpl-2.0 | 4,112 |
#!/bin/bash
# Treat unset variables and parameters as an error when performing parameter expansion
set -o nounset
# Exit immediately if command returns a non-zero status
set -o errexit
# Return value of a pipeline is the value of the last command to exit with a non-zero status
set -o pipefail
# shellcheck source=s... | aarexer/mystamps | src/main/scripts/ci/publish-code-coverage.sh | Shell | gpl-2.0 | 828 |
dd if=/dev/mmcblk0 | ssh -C udo@10.32.0.20 "dd of=/Volumes/Data/Install/pi1-hc-current.img"
| Udo/HomeOverlord | bin/backup.sh | Shell | gpl-2.0 | 92 |
#!/bin/bash
rm .version
# Bash Color
green='\033[01;32m'
red='\033[01;31m'
cyan='\033[01;36m'
blue='\033[01;34m'
blink_red='\033[05;31m'
restore='\033[0m'
clear
# Resources
THREAD="-j$(grep -c ^processor /proc/cpuinfo)"
DEFCONFIG="cyanogenmod_wt88047_defconfig"
KERNEL="Image"
#Hyper Kernel Details
BASE_VER="Hyper"
V... | chaubeyprateek/Hyper_Kernel_Redmi2 | build.sh | Shell | gpl-2.0 | 3,639 |
#!/bin/bash
if [ x$1 = x ] ; then
echo usage: $0 boardname
exit
fi
export BOARD=`basename $1`
if [ `dirname $1` != . ] ; then
export BOARDDIR=$1
else
export BOARDDIR=
fi
make progpk2
| MetaluNet/Fraise | bootloader/18f/program.sh | Shell | gpl-2.0 | 193 |
#!/bin/bash
#
# vice-launcher.sh - runs vice from the nearby application bundle
#
# Written by
# Christian Vogelgsang <chris@vogelgsang.org>
#
# This file is part of VICE, the Versatile Commodore Emulator.
# See README for copyright notice.
#
# This program is free software; you can redistribute it and/or modify
# ... | tojo9900/vice | src/arch/unix/macosx/vice-launcher.sh | Shell | gpl-2.0 | 2,141 |
#! /bin/sh
# Copyright (C) 2003-2022 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | autotools-mirror/automake | t/python-missing.sh | Shell | gpl-2.0 | 2,357 |
#!/bin/sh
# PMan, the project manager
#
# This is a simple tool to manage your projects
#
# Author : Romain 'MicroJoe' Porte
# Licence : WTFPL
# List of projects
projects=()
projects_count=0
# Search for projects
echo Scanning current directory...
for f in $(ls .); do
if [[ -d $f ]]; then
projects+=($f)... | MicroJoe/pman | pman.sh | Shell | gpl-3.0 | 2,963 |
#!/bin/bash
cp -raf home /
systemctl --user enable kiosk
systemctl --user start kiosk
| hchild/pi-kiosk | install.sh | Shell | gpl-3.0 | 86 |
#!/bin/sh
#-------------------------------------------------------------------
# config.sh: This file is read at the beginning of the execution of the ASGS to
# set up the runs that follow. It is reread at the beginning of every cycle,
# every time it polls the datasource for a new advisory. This gives the user
# the ... | jasonfleming/asgs | config/2018/asgs_config_062018_swan_river_hatteras_nc9.99wrivers_hindcast.sh | Shell | gpl-3.0 | 11,571 |
#!/bin/bash
NAME="m4gb"
INFORMAT=""
display_help()
{
echo "Solve overdefined polyomial equation system over a finite field"
echo "Usage : $0 [-s m4gb|openf4|fgb] [-f #] [-n #] [-v #] [-t #] <inputfile> [<outputfile>]"
echo "Arguments"
echo " -h : display this help"
echo " -s m4g... | cr-marcstevens/m4gb | solver.sh | Shell | gpl-3.0 | 3,861 |
#!/bin/bash
#
# start.sh
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even ... | thugs-rumal/rumal_docker | frontend/start.sh | Shell | gpl-3.0 | 3,904 |
#!/bin/bash
MESSAGE=$(git log -1 HEAD --pretty=format:%s)
echo $MESSAGE
function mvn_install() {
echo "Building " $1
cd $1
if mvn clean install; then
echo ok
else
echo Something went wrong.
exit 1
fi
res=${PIPESTATUS[0]}
echo "return code $res"
if [[ $res -ne 0 ]]; then
exit $res
fi
cd -
}... | gama-platform/gama | travis/compile.sh | Shell | gpl-3.0 | 8,495 |
#!/bin/bash
# https://stackoverflow.com/questions/192249/how-do-i-parse-command-line-arguments-in-bash
START=false
INSTALL=false
while [[ $# -gt 0 ]]
do
key="$1"
case $key in
-i|--install)
INSTALL=true
shift # past argument
shift # past value
;;
-s|--start)
START=true
shift # past argu... | falcoprescher/Starbound-Docker | starbound/scripts/start.sh | Shell | gpl-3.0 | 813 |
#!/bin/sh
#desc:Foscam IP camera
#package:odvision
### Copyright(c) 2014 OpenDomo Services SL. Licensed under GPL v3 or later
test -d /etc/opendomo/vision || mkdir /etc/opendomo/vision
### This is a bind for foscam and CGI SDK 2.1 based cameras
### You can read more information in http://onlinecamera.net/downloads/f... | jmirasb/opendomo-vision | usr/local/opendomo/bindings/foscam.sh | Shell | gpl-3.0 | 2,205 |
#! /bin/sh
gcc simplest_audio_play_sdl2.cpp -g -o simplest_audio_play_sdl2.out -I /usr/local/include -L /usr/local/lib -lSDL2main -lSDL2 | YuxuanLing/trunk | trunk/code/study/ffmpeg/simplest_ffmpeg_audio_player/simplest_audio_play_sdl2/compile_gcc.sh | Shell | gpl-3.0 | 136 |
#!/bin/bash
#
# Setup your build environment for the first time.
#
# Download dependencies, move dev config into place, create and load the
# database with some sample data.
set -e
set -x
python bootstrap.py -c development.cfg
./bin/buildout -c development.cfg
cp ts/settings/development.py.template ts/settings/devel... | orzubalsky/tradeschool | dev/setup_dev.sh | Shell | gpl-3.0 | 866 |
#!/bin/bash
set -e
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
cd $SCRIPT_DIR
docker build . --tag kerbalmod_ci:latest
docker run -v $SCRIPT_DIR:/mnt/kerbalmod kerbalmod_ci:latest
chown -R $SUDO_USER:$SUDO_USER *
| DanielKinsman/stand-alone-map-view | build.sh | Shell | gpl-3.0 | 246 |
source ~/.options/suse/environment.zsh
source ~/.options/suse/favorites.zsh
source ~/.options/suse/prompt.zsh
source ~/.options/suse/alias.zsh
| ninrod/dotfiles | options/suse/suse.zsh | Shell | gpl-3.0 | 143 |
# 69_check_sendmail_poodle.sh
[[ ! -f /etc/mail/sendmail.cf ]] && return
#cp -p /etc/mail/sendmail.cf "$VAR_DIR/$DS/sendmail.cf"
grep -q "D{tls_version}" /etc/mail/sendmail.cf
if [[ $? -eq 0 ]]; then
# found a possible SSLv3 may be enabled when STARTTLS is configured entry
LogPrint "Sendmail configurati... | gdha/upgrade-ux | opt/upgrade-ux/scripts/prep/hp/69_check_sendmail_poodle.sh | Shell | gpl-3.0 | 657 |
#!/bin/sh
#desc:Delete sequence
#type:local
#package:odcommon
# Copyright(c) 2011 OpenDomo Services SL. Licensed under GPL v3 or later
STPATH=/etc/opendomo/states
if test -z "$1"; then
echo "#> Delete states"
echo "# No state specified"
echo "#INFO: No state specified"
exit 1
fi
for file in "$@"
do
if test -e ... | opalenzuela/opendomo-automation | usr/local/opendomo/services/syscript/delSystemState.sh | Shell | gpl-3.0 | 558 |
#!/bin/sh
set -a
cd $(dirname $0)
rm -f julian_days.c.txt
rm -f julian_days.py.txt
rm -f print_julian_days
python print_julian_days.py > julian_days.py.txt
gcc print_julian_days.c -o print_julian_days && ./print_julian_days > julian_days.c.txt
diff julian_days.py.txt julian_days.c.txt && echo OK
| linostar/timeline-clone | test/specs/calendar/compare_julian_days.sh | Shell | gpl-3.0 | 301 |
#compdef holo
typeset -A opt_args
(( $+functions[_holo_command] )) || _holo_command()
{
local -a _commands
_commands=(
'apply:Apply available configuration to some or all entities'
'diff:Diff some or all entities against the last provisioned version'
'scan:Scan for provisionable entitie... | LukeShu/holo | util/autocomplete.zsh | Shell | gpl-3.0 | 1,732 |
#!/bin/bash
DATA_DIR=$1
TYPE=cancel
for IND_COUNT in $(seq 20 10 40)
do
FORMATTED_IND_COUNT=$(printf "%04d" $IND_COUNT)
OUTPUT_DATA_FILE=$DATA_DIR/analysis/ind-success-percentage-indcount-$FORMATTED_IND_COUNT.dat
echo "# CancelK Mean Min Max SD" > $OUTPUT_DATA_FILE
# for CANCEL_K in... | snucsne/bio-inspired-leadership | scripts/analysis/build-ind-success-percentage-files.sh | Shell | gpl-3.0 | 1,478 |
#!/bin/bash
docker run --name my-redis -d -p 6379:6379 redis
| Ahaochan/invoice | ahao-spring-boot-redission/script/install-docker.sh | Shell | gpl-3.0 | 61 |
#!/bin/bash
# zip the output files from a PTMC / BSPT simulation
echo "zipping GMIN_out.* files"
gzip GMIN_out.*
echo "zipping dumpstruct.* files"
gzip dumpstruct.*
echo "zipping overlap.* files"
gzip overlap.*
for d in `seq 100`; do
if [ ! -d $d ]; then
break
fi
echo "zipping $d/Visits.his* files"
gzip... | marktoakley/LamarckiAnt | SCRIPTS/GMIN/ptmc/ptmc_gzip.sh | Shell | gpl-3.0 | 341 |
#regions="us-west-2 us-east-2 eu-west-1 ap-southeast-2 ap-northeast-1"
# regions="us-west-2 eu-west-1 ap-southeast-2"
# regions="us-west-2"
for i in `seq 1 40`; do
aws cloudformation delete-stack \
--region ca-central-1 \
--profile selab \
--stack-name "vpc-$i"
done
| fredhsu/cloudformation | onug-clean.sh | Shell | gpl-3.0 | 296 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 2/logs/w-11_1/20170125T211753+0000/00/00/sessioncompute_7_ID0000010.sh | Shell | gpl-3.0 | 1,228 |
#!/bin/bash
if [[ $DOCKER ]]; then
docker run \
--privileged \
-v "$PWD:/outside" \
-e "QUTE_BDD_WEBENGINE=$QUTE_BDD_WEBENGINE" \
-e "DOCKER=$DOCKER" \
-e "CI=$CI" \
-e "TRAVIS=$TRAVIS" \
"qutebrowser/travis:$DOCKER"
elif [[ $TESTENV == e... | V155/qutebrowser | scripts/dev/ci/travis_run.sh | Shell | gpl-3.0 | 1,284 |
#!/bin/sh
tar -xjf x264-snapshot-20140830-2245.tar.bz2
mkdir x264_/
cd x264-snapshot-20140830-2245/
./configure --prefix=$HOME/x264_/ --disable-opencl
make -j $NUM_CPU_JOBS
echo $? > ~/install-exit-status
make install
cd ~
rm -rf x264-snapshot-20140830-2245/
echo "#!/bin/sh
./x264_/bin/x264 -o /dev/null --threads \$... | phoronix-test-suite/phoronix-test-suite | ob-cache/test-profiles/pts/x264-1.9.0/install.sh | Shell | gpl-3.0 | 420 |
#!/bin/sh
rm -rf lc0-0.20.1
unzip -o lc0-0.20.1.zip
cd lc0-0.20.1
./build.sh
echo $? > ~/install-exit-status
cd ~
cp -f 0cf3fafcbd18e17d11d75d669d8dbf38eb89a57fbf0202196834433629da65ae lc0-0.20.1/build/release/weights
echo "#!/bin/sh
cd lc0-0.20.1/build/release/
./lc0 \$@ --threads=\$NUM_CPU_CORES > \$LOG_FILE 2>&... | phoronix-test-suite/phoronix-test-suite | ob-cache/test-profiles/pts/lczero-1.1.1/install.sh | Shell | gpl-3.0 | 378 |
#!/usr/bin/env zsh
# Copyright (c) 2016-2021 Ivan J. <parazyd@dyne.org>
# This file is part of arm-sdk
#
# This source code is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
#... | dyne/arm-sdk | boards/beaglebone-black.sh | Shell | gpl-3.0 | 5,282 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1A/logs/w-08_1/20161025T191719+0000/00/00/averageratioevent_0_ID0000012.sh | Shell | gpl-3.0 | 1,261 |
curl "https://api.esios.ree.es/offer_indicators" -X GET \
-H "Accept: application/json; application/vnd.esios-api-v1+json" \
-H "Content-Type: application/json" \
-H "Host: api.esios.ree.es" \
-H "Authorization: Token token=\"5c7f9ca844f598ab7b86bffcad08803f78e9fc5bf3036e... | hackathinho/open-clean-energy | backend/query.sh | Shell | gpl-3.0 | 370 |
#!/usr/bin/env sh
../../caffe/build/install/bin/caffe \
test \
-model=../../models/first_person_deploy.prototxt -gpu=6 \
-weights=../../weights/third_person_scene_baseline_iter_18000.caffemodel \
-iterations=1000 \
2>&1 | tee ../../logs/first_person_baseline.log
| lferrer/iccv2017 | scripts/testing/classify_first_person_baseline.sh | Shell | gpl-3.0 | 264 |
#!/bin/bash
DATABASE=asterisk
USERNAME=asterisk
PASSWORD=4321
script/astatistics_create.pl model Asterisk DBIC::Schema Asterisk::Schema create=static dbi:mysql:dbname=$DATABASE $USERNAME $PASSWORD
| woodyst/astatistics | script/create_asterisk_model.sh | Shell | gpl-3.0 | 198 |
#!/bin/bash -e
. ../env/env
brief="the Ogg bitstream file format library"
intro="
Libogg is a library for manipulating Ogg bitstream file formats. Libogg
supports both making Ogg bitstreams and getting packets from Ogg bitstreams.
"
version=1.3.3
srcfil=libogg-$version.tar.xz
srcdir=libogg-$version
srcurl=https:... | fangxinmiao/projects | Architeture/OS/Linux/Distributions/LFS/build-scripts/blfs-9.0-systemd/scripts/l/libogg.sh | Shell | gpl-3.0 | 636 |
#!/bin/bash
set -e
set -x
# start mavproxy with:
# - main connection to cmavnode via UDP
# - udp connection on port 9000 for use by other processes
# - udp broadcast connection to allow multiple GCSs to connect to the flight controller via mavproxy
mavproxy.py \
--source-system 217 \
--master localho... | diydrones/companion | Common/Ubuntu/mavproxy/start_mavproxy.sh | Shell | gpl-3.0 | 343 |
#!/bin/sh
PKG="patch"
PKG_BUILD="patch"
source ./config.sh
if [ ! -f ./sources/$PKG.txz ]; then
wget http://files.etherlink.co/mirror/$PKG/$PKG-latest.txz -O ./sources/$PKG.txz
fi
if [ ! -d ./extracts/$PKG ]; then
dirname=`tar -tf ./sources/$PKG.txz | head -1 | cut -f1 -d"/"`
cd ./extracts
tar -xf ../sources/$PKG... | uraymeiviar/artos | build/crossbuild/build-patch.sh | Shell | gpl-3.0 | 528 |
#!/usr/bin/env bash
set -ueo pipefail
root="$(readlink -f "$(dirname "$0")")"
print_usage() {
local -i exit_code="$1"
echo "
usage:
$0 [-o OUTPUT_THEME_NAME] [-c COLOR] PRESET_NAME_OR_PATH
examples:
$0 -o droid_test_3 -c 5e468c
$0 monovedek
$0 -o my-theme-name ./colors/lcars"
exit "${exit_code:-1}"
}
dark... | actionless/oomox | plugins/icons_papirus/change_color.sh | Shell | gpl-3.0 | 3,791 |
#!/usr/bin/env bash
set -e
aggregatesAnalysisJson="aggregates.analysis.json"
read -d '' getNonFailedClassificationDomainScope <<-'EOF' || true
{
path: $path,
"non-failed-domains": .successfulOrigin.origin.counts.count,
"is-same-domain": .successfulOrigin.unfilteredUrls.requestedUrlsDistinct.coverage.classification... | joelpurra/har-dulcify | src/multiset/non-failed.classification.domain-scope.coverage.sh | Shell | gpl-3.0 | 2,521 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.